Default [Q] custom rom for s5302

i'm using galaxy y pocket duos (s5302)..
i have installed a jb custom rom , which increased my android version from 2.3.6 to 4.0.3... but i'm still not able to install apps that require 4 android version... i could really use some help from experts... thank u !!